/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.alfa;

import java.time.Instant;
import java.util.Map;

import org.springframework.security.oauth2.jwt.Jwt;

import com.thedeanda.lorem.LoremIpsum;

public class JwtTestFactory {

	public static final String TOKEN_VALUE = LoremIpsum.getInstance().getWords(1);
	private static final Instant ISSUE_AT = Instant.now();
	private static final Instant EXPIRES_AT = ISSUE_AT.plusMillis(5000);

	public static final String DUMMY_HEADER_KEY = "dummyHeaderKey";
	private static final String DUMMY_HEADER_VALUE = "dummyHeaderValue";
	private static final Map<String, Object> HEADERS = Map.of(DUMMY_HEADER_KEY, DUMMY_HEADER_VALUE);

	public static Jwt create(Map<String, Object> claims) {
		return new Jwt(TOKEN_VALUE, ISSUE_AT, EXPIRES_AT, HEADERS, claims);
	}
}
