/*
 * Copyright (C) 2025 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.alfa.forwarding;

import de.ozgcloud.alfa.collaboration.AnschriftTestFactory;
import de.ozgcloud.alfa.collaboration.OrganisationsEinheitTestFactory;
import de.ozgcloud.alfa.forwarding.ForwardVorgangCommandBody.ForwardVorgangCommandBodyBuilder;

class ForwardVorgangCommandBodyTestFactory {

	static ForwardVorgangCommandBody create() {
		return createBuilder().build();
	}

	static ForwardVorgangCommandBodyBuilder createBuilder() {
		return ForwardVorgangCommandBody.builder()
				.organisationEinheitId(OrganisationsEinheitTestFactory.XZUFI_ID.getId())
				.name(OrganisationsEinheitTestFactory.NAME)
				.strasse(AnschriftTestFactory.STRASSE)
				.ort(AnschriftTestFactory.ORT)
				.hausnummer(AnschriftTestFactory.HAUSNUMMER)
				.plz(AnschriftTestFactory.PLZ);
	}
}
